#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GiantSharkCardRewardData
{
	//ID
	int mID;
	//钥匙类型
	int mKeyType;
	//最低金币数量
	int mMinGold;
	//最高金币数
	int mMaxGold;
	//权重
	int mWeight;
};

class Fish_GiantSharkCardReward
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkCardReward> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkCardRewardData* GetData(int ID);
	boost::unordered_map<int, Fish_GiantSharkCardRewardData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GiantSharkCardReward* GetSingleton();
private:
	boost::unordered_map<int, Fish_GiantSharkCardRewardData> mMapData;
};
